Skip to main content
DELETE
/
api
/
v1
/
workspaces
/
{id}
/
members
/
{userId}
Remove workspace member
curl --request DELETE \
  --url https://api.dualship.run/api/v1/workspaces/{id}/members/{userId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.dualship.run/api/v1/workspaces/{id}/members/{userId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.dualship.run/api/v1/workspaces/{id}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deleted": true
}
{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}
{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}
{
"code": "FORBIDDEN",
"error": "insufficient permissions"
}
{
"code": "NOT_FOUND",
"error": "resource not found"
}
{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication

Path Parameters

id
string
required

Workspace ID

userId
string
required

User ID to remove

Response

Member removed

Deletion confirmation response

deleted
boolean
Example:

true